Bug 1896244 - Found a panic in storage e2e test
Summary: Found a panic in storage e2e test
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Jan Safranek
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-10 07:09 UTC by Qin Ping
Modified: 2021-02-24 15:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:32:32 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 492 0 None closed Bug 1896244: UPSTREAM: 96467: Add GinkgoRecover to a local storage go routine 2021-01-18 01:57:04 UTC
Github openshift origin pull 25792 0 None closed Bug 1896244: Bump(github.com/openshift/kubernetes) 2021-01-18 01:57:03 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:02 UTC

Description Qin Ping 2020-11-10 07:09:00 UTC
Description of Problem:
Found there is a panic for the e2e test case: [sig-storage] PersistentVolumes-local Stress with local volumes [Serial] should be able to process many pods and reuse local volumes [Suite:openshift/conformance/serial] [Suite:k8s] 

ci: https://prow.ci.openshift.org/view/gs/origin-ci-test/logs/release-openshift-origin-installer-e2e-aws-serial-4.6/1325795956653821952

Version-Release number of selected component (if applicable):

How Reproducible:
Only see this issue once. 



Steps to Reproduce:

Actual Results:

Expected Results:

Comment 1 Jan Safranek 2020-11-11 15:14:03 UTC
Posted PR upstream: https://github.com/kubernetes/kubernetes/pull/96467.
In addition, this one is necessary too: https://github.com/kubernetes/kubernetes/pull/91632

Comment 2 Jan Safranek 2020-12-04 13:12:41 UTC
Waiting for upstream to un-freeze.

Comment 4 Jan Safranek 2021-01-07 08:35:42 UTC
Need to update openshift/origin with openshift/kubernetes changes.

Comment 6 Qin Ping 2021-01-18 02:58:33 UTC
Verified with: 4.7.0-0.nightly-2021-01-12-203716

Comment 9 errata-xmlrpc 2021-02-24 15:32:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.